| Home | Libraries | People | FAQ | More

#### encoded_size

Return the buffer size needed for percent-encoding.

##### Synopsis

Defined in header `<boost/url/encode.hpp>`

    template<
        class CharSet>
    std::size_t
    encoded_size(
        core::string_view s,
        CharSet const& unreserved,
        encoding_opts opt = {});

##### Description

This function returns the exact number of bytes necessary to store the result of applying percent-encoding to the string using the given options and character set. No encoding is actually performed.

##### Example

    assert( encoded_size( "My Stuff" , pchars ) == 10 );

##### Exception Safety

Throws nothing.

##### Return Value

The number of bytes needed, excluding any null terminator.

##### Parameters

Name | Description
--- | ---
`s` | The string to measure.
`unreserved` | The set of characters that is not percent-encoded.
`opt` | The options for encoding. If this parameter is omitted, the default options are be used.

##### Specification

- 2.1. Percent-Encoding (rfc3986)

##### See Also

`encode`, `encoding_opts`, `make_pct_string_view`.

Convenience header `<boost/url.hpp>`